2.2 Operating System Requirements

Gluster Storage for Oracle Linux Release 6 is available on the platforms and operating systems shown in the following table.

Table 2.1 Operating System Requirements

Platform

Operating System Release

Minimum Operating System Maintenance Release

Kernel

x86_64

Oracle Linux 8

Oracle Linux 8 Update 1

Red Hat Compatible Kernel (RHCK)

aarch64

Oracle Linux 8

Oracle Linux 8 Update 1

Red Hat Compatible Kernel (RHCK)

x86_64

Oracle Linux 7

Oracle Linux 7 Update 7

Unbreakable Enterprise Kernel Release 5 (UEK R5)

Unbreakable Enterprise Kernel Release 4 (UEK R4)

Red Hat Compatible Kernel (RHCK)

aarch64

Oracle Linux 7

Oracle Linux 7 Update 7

UEK R5


If you are upgrading from a previous release of Gluster Storage for Oracle Linux, you must upgrade to the latest update level of the Oracle Linux release that you are using.

It is important that all nodes within your deployment are running the same Oracle Linux release and update level, particularly when using the geo-replication feature. When release levels differ some component software, such as the default Python version, may change and can cause issues when processing communications between nodes.